BufferedStream.h File Reference
`#include "grk_config_private.h"`
`#include "IBitIO.h"`

Go to the source code of this file.

## Classes

struct | grk::BufferedStream

## Namespaces

namespace | grk
| Copyright (C) 2016-2023 Grok Image Compression Inc.

## Macros

#define | GROK_STREAM_STATUS_OUTPUT 0x1U
#define | GROK_STREAM_STATUS_INPUT 0x2U
#define | GROK_STREAM_STATUS_END 0x4U
#define | GROK_STREAM_STATUS_ERROR 0x8U

## Functions

template<typename TYPE >
void | grk::grk_write (uint8_t *buffer, TYPE value, uint32_t numBytes)
template<typename TYPE >
void | grk::grk_write (uint8_t *buffer, TYPE value)
template<typename TYPE >
void | grk::grk_read (const uint8_t *buffer, TYPE *value, uint32_t numBytes)
template<typename TYPE >
void | grk::grk_read (const uint8_t *buffer, TYPE *value)

## Macro Definition Documentation

## GROK_STREAM_STATUS_END

#define GROK_STREAM_STATUS_END 0x4U

## GROK_STREAM_STATUS_ERROR

#define GROK_STREAM_STATUS_ERROR 0x8U

## GROK_STREAM_STATUS_INPUT

#define GROK_STREAM_STATUS_INPUT 0x2U

## GROK_STREAM_STATUS_OUTPUT

#define GROK_STREAM_STATUS_OUTPUT 0x1U